@import "vendor/slick";
@import "2020base";
@import "vendor/bootstrap/bootstrap/media";

h1,h2,h3,h4,h5,h6 {
  font-weight: 400;
}

// below is copy-pasted from the old file


.topic-header {
  h1 {
    font-size: 45px;
  }

  p {
    font-size: 23px;
  }

  a {
    text-decoration: underline;
  }

  .col-md-4 {
    margin-top: 27px;
    padding-left: 75px;
    border-left: 1px solid #eee;

    h4 {
      font-size: 16px;
      line-height: 40px;
      text-transform: uppercase;
    }

    p {
      font-size: 16px;
    }
  }

  .col-md-8 {
    padding-right: 75px;
  }
}

.feature-group .flex-row {
  flex-wrap: wrap;
}

.topic-body {

  blockquote {
    background: #ffffff;
    border-left: 5px solid $color-primary;
    box-shadow: 0 2px 4px 0 rgba(0,0,0,.1);
    color: #888888;
    font-size: 18px;
    font-style: normal;
    font-weight: 300;
    margin-bottom: 27px;
    padding: 30px;
  }

  blockquote p:last-child {
    margin-bottom: 0;
  }
}

// pull quote
.pull-quote {
  blockquote {
    /* Negate theme styles */
    border: 0;
    color: #808080;
    font-style: italic;
    position: relative;
    z-index: 600;

    p:first-child:before {
      content: "\201C";
      color: $color-primary;
      font-size: 5em;
      font-weight: 700;
      opacity: .3;
      position: absolute;
      top: -.4em;
      left: -.4em;
      z-index: -300;
    }
  }

  cite {
    text-align: right;
    font-style: normal; 
  }
}

// copied from other css on the site

// Horizontal rules

hr {
  margin-top:    $line-height-computed;
  margin-bottom: $line-height-computed;
  border: 0;
  border-top: 1px solid $hr-border;
}

// related content cards

// sass-lint:disable-all
.tile-resource {
  width: 100%;
  display: flex;
  flex-direction: column;
  border-radius: $border-radius-large;
  box-shadow: $box-shadow;
  background: $color-white;
  overflow: hidden;
  text-decoration: none;

  .tile-date {
    color: $color-gray-light;
    font-weight: 600;
    margin-bottom: 6px;
  }

  //sass-lint:disable-all
  .tile-background-container {
    width: 101%;
    min-height: 180px;
    background-size: cover !important;
    background-position: center center;
    background-repeat: no-repeat;
    transition: $transition-primary;
  }

  .tile-info {
    height: 100%;
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    padding: 30px;
    z-index: 1;
    background: $color-white;

    .tile-link {
      margin-top: auto;
      margin-bottom: 0;
    }

    .tile-title {
      color: $color-black;
      font-size: 22px;
      margin-bottom: 1.33em;
      margin-top: 0;
    }

    .tile-subtitle {
      color: $color-gray;
    }

    .tile-description {
      color: $color-black;
    }

    h3 {
      margin-top: 0;
    }

    i {
      font-size: 12px;
      margin-left: 4px;
    }

    @media all and (max-width: $screen-sm-min) {
      padding: 20px;
    }
  }

  &:hover {
    text-decoration: none;

    .tile-background-container {
      transform: scale(1.05);
    }

    .tile-title {
      color: $color-black;
      text-decoration: none;
    }

    .tile-link {
      text-decoration: underline;
    }
  }

  @media all and (max-width: $screen-md-min) {
    max-width: 100%;
  }
}

.tiles-container {
  display: flex;
  justify-content: center;

  .tile {
    width: 100%;

    &:not(:first-child) {
      margin-left: 30px;

      @media all and (max-width: $screen-md-min) {
        margin-left: 0;
        margin-top: 30px;
      }
    }
  }

  &:not(:first-child) {
    margin-top: 30px;
  }

  @media all and (max-width: $screen-md-min) {
    flex-direction: column;
  }
}

.tile {
  border-radius: $border-radius-large;
  background: $color-white;
  box-shadow: 0 2px 4px $color-transparent-alt;
  padding: 40px;

  &.tile-compact {
    padding: 25px;

    h4 {
      margin-top: 10px;
      margin-bottom: 20px;
    }

    ul {
      padding-left: 30px;
    }
  }

  &.tile-left-aligned {
    text-align: left;
  }

  .tile-icon-large {
    height: 80px;
    max-width: 100%;
    margin-bottom: 20px;
  }

  .tile-icon-medium {
    height: 50px;
    max-width: 100%;
    margin-bottom: 20px;
  }

  .tile-icon-small {
    height: 34px;
    max-width: 100%;
    margin-bottom: 20px;
  }

}

// Grid layout used in the related content cards

// sass-lint:disable no-duplicate-properties
.grid-layout2 {
  grid: 1fr / 1fr 1fr;

  @media all and (max-width: $screen-sm-min) {
    grid: 1fr / 1fr;
  }

  iframe {
    max-height: 385px;
  }

}

// sass-lint:disable no-duplicate-properties
.grid-layout3 {
  grid: 1fr / 1fr 1fr 1fr;

  @media all and (max-width: $screen-lg-min) {
    grid: 1fr / 1fr 1fr;
  }

  @media all and (max-width: $screen-sm-min) {
    grid: 1fr / 1fr;
  }

  iframe {
    max-height: 325px;
  }

}

.grid-layout4 {
  grid: 1fr / 1fr 1fr 1fr 1fr;

  @media all and (max-width: $screen-lg-min) {
    grid: 1fr / 1fr 1fr;
  }

  @media all and (max-width: $screen-sm-min) {
    grid: 1fr / repeat(4, 250px);
  }

  iframe {
    max-height: 325px;
  }

}

// sass-lint:disable no-duplicate-properties
.grid-layout {
  display: inline-block;
  display: grid;
  grid-gap: 20px 50px;
  width: 100%;

  .grid-item {
    width: 100%;
    margin-bottom: 30px;
    float: left;
    align-items: flex-start;
  }

}

// Try GitLab component

.blog .callout,
.gitlab-trial {
  clear: both;
  text-align: center;
  padding: 40px 0 100px;
  font-size: 18px;
  color: $blog-color-text;
  background-color: $color-white;

  h1,
  h2,
  h3,
  h4 {
    margin: 20px 0 14px;
    font-weight: 600;
  }

  a {

    &.contact {
      color: $blog-color-purple;
    }

  }

  h3 {
    line-height: 1;
    padding: 0 25px;
  }

  h4 {
    margin: 15px 40px;
  }

  @media only screen and (max-width : 768px) {
    padding: 35px 0 45px;

    h3 {
      font-size: 32px;
      line-height: 1;
      padding: 0 25px;
    }
  }
}

// Sticky trial banner component

.sticky-banner {
  display: none;
  position: fixed;
  z-index: 0;
  bottom: 0;
  left: 0;
  width: 100vw;
  height: 70px;
  background-color: $pricing-gray-bg;
  padding: 8px;
  box-shadow: 0 0 8px rgba($color-dark, .15);

  &.active {
    display: block;

    @media (max-width: $screen-xs-max) {
      display: none;
    }
  }

  .sticky-banner-content {
    display: flex;
    flex-flow: row wrap;
    margin: auto;
    max-width: 750px;
  }

  .sticky-banner-text {
    display: block;
    flex: auto;

    .header-text {
      color: $color-primary;
      font-size: 20px;
      margin: 0;

      a {
        color: $color-secondary;
      }
    }

    .subheader-text {
      font-size: 16px;
      color: $color-gray;

      a {
        color: $color-gray;
        text-decoration: underline;
      }
    }
  }

  .action {
    flex: 1;
    padding: 5px 0;

    .featured-item-cta-btn {
      line-height: 20px;
      padding: 10px 15px;
    }
  }

  .dismiss-trial {
    position: absolute;
    right: 40px;
    height: 20px;
    opacity: .8;
    padding: 10px;
    cursor: pointer;
    box-sizing: initial;
    top: calc(50% - 20px);
  }

  .dismiss-trial:hover {
    opacity: 1;
  }

}

.featured-item-cta-btn {
  display: inline-block;
  padding-left: 20px;
  padding-right: 20px;
  min-width: 120px;
  color: $color-secondary;
  border: 1px solid $color-secondary;
  background-color: $color-white;
  border-radius: 3px;
  font-size: 16px;
  line-height: 35px;

  @media (min-width: 990px) {
    line-height: 40px;
  }

  &:hover,
  &:focus {
    color: $color-white;
    background-color: $color-secondary;
    text-decoration: none;
    outline: 0;
  }

  &.white-on-primary {
    color: $color-white;
    border: 1px solid $color-white;
    background-color: transparent;

    &:hover,
    &:focus {
      color: $color-primary;
      background-color: $color-white;
    }
  }
}